## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iNativeWindowManager Struct Reference
[2D]

This interface represents the native window manager system. More...

`#include <ivideo/natwin.h>`

Inheritance diagram for iNativeWindowManager:

[legend]
List of all members.

## Public Member Functions

virtual void | Alert (int type, const char *title, const char *okMsg, const char *msg,...)=0
| Show an alert.
virtual void | AlertV (int type, const char *title, const char *okMsg, const char *msg, va_list arg)=0
| Show an alert.

## Detailed Description

This interface represents the native window manager system.

At this moment this interface is nearly empty. In the future it will be extended with more functionality to manage windows and so on.

Definition at line 47 of file natwin.h.

## Member Function Documentation

virtual void iNativeWindowManager::Alert | ( | int | type,
|  | const char * | title,
|  | const char * | okMsg,
|  | const char * | msg,
|  |  | ...
| ) | `[pure virtual]`

Show an alert.

Type is one of CS_ALERT_???.

Remarks:
  All strings are expected to be UTF-8 encoded.

See also:
  CS_ALERT_ERROR

  Notes about string formatting in Crystal Space

Implemented in csGraphics2D.

virtual void iNativeWindowManager::AlertV | ( | int | type,
|  | const char * | title,
|  | const char * | okMsg,
|  | const char * | msg,
|  | va_list | arg
| ) | `[pure virtual]`

Show an alert.

Type is one of CS_ALERT_???.

Remarks:
  All strings are expected to be UTF-8 encoded.

See also:
  CS_ALERT_ERROR

  Notes about string formatting in Crystal Space

Implemented in csGraphics2D.

The documentation for this struct was generated from the following file:

- ivideo/natwin.h